# $Revision: 1.9 $, $Date: 2010/08/23 20:11:36 $
%define		module	jaxml
Summary:	Module for automated generation of XML, XHTML or HTML documents
Summary(pl.UTF-8):	Moduł do automatycznego generowania dokumentów XML, XHTML lub HTML
Name:		python-%{module}
Version:	3.02
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/j/jaxml/jaxml-%{version}.tar.gz
# Source0-md5:	1526ccc4468342e3a39af6cebeab3dc8
URL:		http://www.librelogiciel.com/software/jaxml/action_Presentation
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JAXML is a Python module which makes the automated generation of XML,
XHTML or HTML documents easy.

%description -l pl.UTF-8
JAXML jest modułem dla Pythona, który upraszcza automatyczne
generowanie dokumentów XML, XHTML or HTML.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS NEWS README
%{py_sitescriptdir}/jaxml.py[co]
%{py_sitescriptdir}/jaxml*.egg-info

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-jaxml.spec,v $
Revision 1.9  2010/08/23 20:11:36  glen
- up to 3.02 (py2.7 compatible), noarch

Revision 1.8  2010/07/09 11:22:01  arekm
- release 4

Revision 1.7  2010/07/08 08:16:52  arekm
- release 3

Revision 1.6  2008/10/03 17:52:07  arekm
- release 2

Revision 1.5  2008-04-16 16:09:55  qboosh
- pl fix, formatting, pythonprov BRs

Revision 1.4  2007-12-08 00:22:15  beorn
- PL fix :D

Revision 1.3  2007-12-08 00:21:05  beorn
- Group fix

Revision 1.2  2007-12-08 00:19:42  baggins
- rel 1

Revision 1.1  2007-12-08 00:15:34  baggins
- initial revision
